package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 公共请求参数对象 t_u_paramspublic
 *
 * @author lei
 * @date 2021-07-01
 */
public class TUParamspublic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 删除时间 */
    private String delFlag;

    /** 字段英文 */
    @Excel(name = "字段英文")
    private String fieldEn;

    /** 字段名称 */
    @Excel(name = "字段名称")
    private String fieldName;

    /** 字段类型 */
    @Excel(name = "字段类型")
    private String fieldType;

    /** 最大长度 */
    @Excel(name = "最大长度")
    private Long maxLength;

    /** 是否必填 */
    @Excel(name = "是否必填")
    private String isRequired;

    /** 说明 */
    @Excel(name = "说明")
    private String pamsexplain;

    /** 顺序 */
    @Excel(name = "顺序")
    private Long seq;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setFieldEn(String fieldEn)
    {
        this.fieldEn = fieldEn;
    }

    public String getFieldEn()
    {
        return fieldEn;
    }
    public void setFieldName(String fieldName)
    {
        this.fieldName = fieldName;
    }

    public String getFieldName()
    {
        return fieldName;
    }
    public void setFieldType(String fieldType)
    {
        this.fieldType = fieldType;
    }

    public String getFieldType()
    {
        return fieldType;
    }
    public void setMaxLength(Long maxLength)
    {
        this.maxLength = maxLength;
    }

    public Long getMaxLength()
    {
        return maxLength;
    }
    public void setIsRequired(String isRequired)
    {
        this.isRequired = isRequired;
    }

    public String getIsRequired()
    {
        return isRequired;
    }
    public void setPamsexplain(String pamsexplain)
    {
        this.pamsexplain = pamsexplain;
    }

    public String getPamsexplain()
    {
        return pamsexplain;
    }
    public void setSeq(Long seq)
    {
        this.seq = seq;
    }

    public Long getSeq()
    {
        return seq;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("fieldEn", getFieldEn())
            .append("fieldName", getFieldName())
            .append("fieldType", getFieldType())
            .append("maxLength", getMaxLength())
            .append("isRequired", getIsRequired())
            .append("pamsexplain", getPamsexplain())
            .append("seq", getSeq())
            .toString();
    }
}
